NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link CAE::CaePart::NewBeamSectionOffsetOptions CAE::CaePart::NewBeamSectionOffsetOptions @endlink <br>
Created in NX7.5.0.
More...
Classes | |
struct | Offset |
Represents the offset value. More... | |
Public Types | |
enum | Method { MethodNeutral, MethodLanguageSpecific } |
Represents the offset definition method. More... | |
Public Member Functions | |
NXOpen::CAE::BeamSectionOffsetOptions::Offset | AftOffset () |
Returns the aft offsets Created in NX7.5.0. | |
NXOpen::CAE::BeamSectionOffsetOptions::Offset | ForeOffset () |
Returns the fore offsets Created in NX7.5.0. | |
bool | IsOffsetSpecified () |
Returns the flag indicating whether the offset is specified Created in NX7.5.0. | |
NXOpen::CAE::BeamSectionOffsetOptions::Method | OffsetMethodType () |
Returns the method to define beam end offsets Created in NX7.5.0. | |
bool | SameEndOffsets () |
Returns the flag indicating whether the offset on both fore end and aft end are consistent Created in NX7.5.0. | |
void | SetAftOffset (const NXOpen::CAE::BeamSectionOffsetOptions::Offset &aftOffsets) |
Sets the aft offsets Created in NX7.5.0. | |
void | SetForeOffset (const NXOpen::CAE::BeamSectionOffsetOptions::Offset &foreOffsets) |
Sets the fore offsets Created in NX7.5.0. | |
void | SetOffsetMethodType (NXOpen::CAE::BeamSectionOffsetOptions::Method method) |
Sets the method to define beam end offsets Created in NX7.5.0. | |
void | SetOffsetSpecified (bool isOffsetSpecified) |
Sets the flag indicating whether the offset is specified Created in NX7.5.0. | |
void | SetSameEndOffsets (bool isSameEndOffsets) |
Sets the flag indicating whether the offset on both fore end and aft end are consistent Created in NX7.5.0. | |
virtual | ~BeamSectionOffsetOptions () |
Destroys the object Created in NX7.5.0. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
<br> To create a new instance of this class, use @link CAE::CaePart::NewBeamSectionOffsetOptions CAE::CaePart::NewBeamSectionOffsetOptions @endlink <br>
Created in NX7.5.0.
|
virtual |
Destroys the object
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::BeamSectionOffsetOptions::Offset NXOpen::CAE::BeamSectionOffsetOptions::AftOffset | ( | ) |
Returns the aft offsets
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::BeamSectionOffsetOptions::Offset NXOpen::CAE::BeamSectionOffsetOptions::ForeOffset | ( | ) |
Returns the fore offsets
Created in NX7.5.0.
License requirements : None
bool NXOpen::CAE::BeamSectionOffsetOptions::IsOffsetSpecified | ( | ) |
Returns the flag indicating whether the offset is specified
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::BeamSectionOffsetOptions::Method NXOpen::CAE::BeamSectionOffsetOptions::OffsetMethodType | ( | ) |
Returns the method to define beam end offsets
Created in NX7.5.0.
License requirements : None
bool NXOpen::CAE::BeamSectionOffsetOptions::SameEndOffsets | ( | ) |
Returns the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0.
License requirements : None
void NXOpen::CAE::BeamSectionOffsetOptions::SetAftOffset | ( | const NXOpen::CAE::BeamSectionOffsetOptions::Offset & | aftOffsets | ) |
Sets the aft offsets
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
aftOffsets | aftoffsets |
void NXOpen::CAE::BeamSectionOffsetOptions::SetForeOffset | ( | const NXOpen::CAE::BeamSectionOffsetOptions::Offset & | foreOffsets | ) |
Sets the fore offsets
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
foreOffsets | foreoffsets |
void NXOpen::CAE::BeamSectionOffsetOptions::SetOffsetMethodType | ( | NXOpen::CAE::BeamSectionOffsetOptions::Method | method | ) |
Sets the method to define beam end offsets
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
method | method |
void NXOpen::CAE::BeamSectionOffsetOptions::SetOffsetSpecified | ( | bool | isOffsetSpecified | ) |
Sets the flag indicating whether the offset is specified
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
isOffsetSpecified | isoffsetspecified |
void NXOpen::CAE::BeamSectionOffsetOptions::SetSameEndOffsets | ( | bool | isSameEndOffsets | ) |
Sets the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
isSameEndOffsets | issameendoffsets |